- Qt 6.8
- Qt Wayland Compositor
- C++ Classes
- QWaylandViewporter
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandViewporter Class

Provides an extension for surface resizing and cropping. More...

Header: | `#include <QWaylandViewporter>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`
Inherits: | QWaylandCompositorExtensionTemplate

- List of all members, including inherited members

## Public Functions

| QWaylandViewporter()
| QWaylandViewporter(QWaylandCompositor *compositor)

## Reimplemented Public Functions

virtual void | initialize() override

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandViewporter extension provides a way for clients to resize and crop surface contents.

QWaylandViewporter corresponds to the Wayland interface, `wp_viewporter`.

## Member Function Documentation

### `[explicit]` QWaylandViewporter::QWaylandViewporter()

Constructs a QWaylandViewporter object.

### `[explicit]` QWaylandViewporter::QWaylandViewporter(QWaylandCompositor *compositor)

Constructs a QWaylandViewporter object for the provided compositor.

### `[override virtual]` void QWaylandViewporter::initialize()

Reimplements: QWaylandCompositorExtension::initialize().

Initializes the extension.

### `[static]` const struct wl_interface *QWaylandViewporter::interface()

Returns the Wayland interface for the QWaylandViewporter.